[data-md-color-primary="blue-grey"] .md-header {
    height: auto;
    padding: .4rem 0;
    background-color: #2f4050;
}

[data-md-color-primary="blue-grey"] .md-header img {
    width: auto;
    height: 24px;
}

[data-md-color-primary="blue-grey"] .md-content a {
    color: #0090d9;
    padding: 5px 0;
}

[data-md-color-primary="blue-grey"] .md-content a code.codehilite {
    border-bottom: 1px solid #0090d9;
}

.md-typeset .admonition,
.md-typeset details,
.md-typeset table:not([class]) tbody {
    font-size: .78rem;
    color: #424242;
}

.md-typeset h1,
.md-typeset h2,
.md-typeset h3,
.md-typeset h4,
.md-typeset h5,
.md-typeset h6 {
    font-weight: normal;
    color: #424242;
}

.md-typeset .admonition .admonition-title {
    font-weight: normal;
}

.md-footer .md-footer-nav {
    background: #199078;
    padding: 15px;
}

footer .md-footer-nav__link--next {
    text-align: right;
    font-size: 0.9rem;
    display: flex;
    flex-direction: column;
    width: fit-content;
    transition: 0.3s;
}

footer .md-flex__ellipsis {
    display: flex;
    flex-direction: column;
    font-size: .9rem;
}

.md-flex__ellipsis .md-footer-nav__direction {
    font-size: 0.7rem;
    color: #ffffff;
    opacity: 0.8;
    transition: 0.3s;
}

footer .md-footer-nav__link--next:hover {
    opacity: 0.8;
}

#vertical-title {
    font-size: 0.8rem;
}

.md-footer-copyright {
    font-size: 0.6rem;
    opacity: 0.8;
}

.md-footer-nav__inner {
    padding: 0.4rem;
    overflow: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.md-footer-meta {
    background-color: #000000e4;
}

.md-typeset {
    padding: 8px;
}

.md-content [data-md-component="search"]+p {
    text-align: center;
}

#custom-search {
    display: flex !important;
}

#custom-search .md-search__inner {
    width: 68.8rem;
    z-index: 0;
    margin-bottom: 30px;
}

#custom-search .md-search__inner .md-search__input {
    border: 1px solid #dadada;
    border-radius: 0.2rem 0.2rem 0 0;
    background-color: white;
    color: rgba(0, 0, 0, 0.87);
    text-overflow: none;
    padding: 1rem 0rem;
    height: auto;
    font-size: 1rem;
    text-align: center;
    font-weight: 500;
}

#custom-search .md-search__inner .md-search__input::placeholder {
    color: rgba(29, 29, 29, 0.7);
}

#custom-search .md-search__inner .md-search__icon[type="reset"] {
    top: 2.4rem;
}

#custom-search .md-search__inner .md-search__icon[for="__search2"]::before {
    content: "\E8B6";
}

#custom-search .md-search__inner .md-search__output {
    top: 3.4rem;
}

#custom-search .md-search__inner .md-search-result__title {
    margin: 0.2em 0;
    font-size: 1rem;
    font-size: 0.8rem;
}

#custom-search .md-search__inner .md-search-result__article--document .md-search-result__title {
    margin: 15px 0 5px;
    font-size: 0.8rem;
}

#custom-search .md-search__inner .md-search-result__item {
    margin: 0;
}

#custom-search.active .md-search__overlay {
    z-index: 2;
}

#custom-search.active .md-search__inner .md-search__input:valid~.md-search__icon[type="reset"] {
    -webkit-transform: scale(1);
    transform: scale(1);
    opacity: 1;
}

#custom-search.active .md-search__inner .md-search__input:valid~.md-search__icon[type="reset"]:hover {
    opacity: 0.7;
}

#custom-search.active .md-search__overlay {
    transition: opacity 0.1s, -webkit-transform 0.4s;
    transition: transform 0.4s, opacity 0.1s;
    transition: transform 0.4s, opacity 0.1s, -webkit-transform 0.4s;
    opacity: 1;
}

#custom-search.active .md-search__inner {
    left: 0;
    -webkit-transform: translateX(0);
    transform: translateX(0);
    transition: right 0s 0s, left 0s 0s, opacity 0.15s 0.15s, -webkit-transform 0.15s 0.15s cubic-bezier(0.1, 0.7, 0.1, 1);
    transition: right 0s 0s, left 0s 0s, transform 0.15s 0.15s cubic-bezier(0.1, 0.7, 0.1, 1), opacity 0.15s 0.15s;
    transition: right 0s 0s, left 0s 0s, transform 0.15s 0.15s cubic-bezier(0.1, 0.7, 0.1, 1), opacity 0.15s 0.15s, -webkit-transform 0.15s 0.15s cubic-bezier(0.1, 0.7, 0.1, 1);
    opacity: 1;
    z-index: 3;
}

[dir="rtl"] #custom-search.active .md-search__inner {
    right: 0;
    left: initial;
}

#custom-search.active .md-search__overlay {
    width: 100%;
    height: 100%;
    transition: width 0s, height 0s, opacity 0.25s;
    opacity: 1;
}

#custom-search.active .md-search__inner .md-search__input+.md-search__icon,
#custom-search.active .md-container .md-search__input::-webkit-input-placeholder {
    color: rgba(0, 0, 0, 0.54);
}

#custom-search.active .md-search__inner .md-search__input+.md-search__icon,
#custom-search.active .md-container .md-search__input:-ms-input-placeholder {
    color: rgba(0, 0, 0, 0.54);
}

#custom-search.active .md-search__inner .md-search__input+.md-search__icon,
#custom-search.active .md-container .md-search__input::-ms-input-placeholder {
    color: rgba(0, 0, 0, 0.54);
}

#custom-search.active .md-search__inner .md-search__input+.md-search__icon,
#custom-search.active .md-container .md-search__input::placeholder {
    color: rgba(0, 0, 0, 0.54);
    top: 50%;
}

#custom-search.active .md-search__inner .md-search__output {
    box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 1px 18px 0 rgba(0, 0, 0, 0.12), 0 3px 5px -1px rgba(0, 0, 0, 0.4);
    opacity: 1;
}

#custom-search.active .md-search__inner .md-search__scrollwrap {
    max-height: 75vh;
}

#custom-search.active .md-search__inner .md-search-result__list {
    margin: 0;
}

@media only screen and (max-width: 29.9375em) {
    #custom-search.active .md-search__overlay {
        -webkit-transform: scale(45);
        transform: scale(45);
    }
}

@media only screen and (min-width: 30em) and (max-width: 44.9375em) {
    #custom-search.active .md-search__overlay {
        -webkit-transform: scale(60);
        transform: scale(60);
    }
}

@media only screen and (min-width: 45em) and (max-width: 59.9375em) {
    #custom-search.active .md-search__overlay {
        -webkit-transform: scale(75);
        transform: scale(75);
    }
}

@media only screen and (min-width: 60em) and (max-width: 76.1875em) {
    #custom-search.active .md-search__inner {
        width: 46.8rem;
    }
}

.md-ellipsis {
    font-weight: 500;
}

.md-search-result__article {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}

a[href="widgets/"] {
    margin-left: auto;
}

.md-typeset :is(.admonition-title, summary):before {
    opacity: 1;
}

.md-typeset :is(.admonition, details) {
    background-color: transparent;
    border: none;
    border-radius: 0.1rem;
    margin: 0;
}

[dir=ltr] .md-typeset :is(.admonition-title, summary) {
    border-top-left-radius: 0.1rem;
    font-weight: 500;
}

.md-typeset :is(.admonition-title, summary) {
    background-color: transparent;
}

.md-search-result__icon {
    top: 0%;
}

.md-search-result__item a:nth-child(2) {
    padding: 5px 0;
}